# std::independent_bits_engine<Engine,W,UIntType>::base

From cppreference.com
< cpp‎ | numeric‎ | random‎ | independent bits engine

const Engine& base() const noexcept; |  | (since C++11)

Returns the underlying engine.

### Parameters

(none)

### Return value

The underlying engine.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/independent_bits_engine/base&oldid=50960"